#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.LightSwitch;
namespace LightSwitchApplication
{
    public partial class Appointment
    {

        partial void StartTime_Validate(EntityValidationResultsBuilder results)
        {
            if (this.StartTime >= this.EndTime)
            {
                results.AddPropertyError("Start time cannot be after end time.");
            }
        }

        partial void EndTime_Validate(Microsoft.LightSwitch.EntityValidationResultsBuilder results)
        {
            if (this.EndTime < this.StartTime)
            {
                results.AddPropertyError("End time cannot be before start time.");
            }
        }

    }
}
